Bug 1114638 - deep_cloneable 2.0 API change
Summary: deep_cloneable 2.0 API change
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Provisioning
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: Unspecified
Assignee: Dominic Cleal
QA Contact: Katello QA List
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-30 14:20 UTC by Bryan Kearney
Modified: 2017-02-23 21:14 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-06 13:25:45 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 6410 0 None None None 2016-04-22 14:59:34 UTC

Description Bryan Kearney 2014-06-30 14:20:59 UTC
deep_cloneable 2.0.0 changed the API (now .deep_clone), and we hadn't pinned it restrictively.

<pre>
wrong number of arguments (1 for 0) (ArgumentError)
/var/lib/workspace/workspace/test_develop/database/mysql/ruby/1.8.7/app/models/host/managed.rb:631:in `dup'
/var/lib/workspace/workspace/test_develop/database/mysql/ruby/1.8.7/app/models/host/managed.rb:631:in `clone'
/var/lib/workspace/workspace/test_develop/database/mysql/ruby/1.8.7/test/unit/host_test.rb:1320:in `test_0141_clone should NOT create compute_attributes for bare-metal host'
</pre>

Comment 1 Bryan Kearney 2014-06-30 14:21:02 UTC
Created from redmine issue http://projects.theforeman.org/issues/6410

Comment 2 Bryan Kearney 2014-06-30 14:21:06 UTC
Upstream bug assigned to dcleal

Comment 4 Bryan Kearney 2014-06-30 14:37:23 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/6410 has been closed

Comment 6 Bryan Kearney 2014-07-14 20:03:53 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/6410 has been closed
-------------
Dominic Cleal
https://github.com/theforeman/foreman/pull/1545
-------------
Dominic Cleal
Applied in changeset commit:b64117f65231c302b2a394b67fe599f1759c6ca6.


Note You need to log in before you can comment on or make changes to this bug.